﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Controls.Primitives;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using Telerik.Windows.Controls;

namespace wpf_RibbonView_814947
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        private RadRibbonDropDownButton openedDDB;

        public MainWindow()
        {
            InitializeComponent();

            EventManager.RegisterClassHandler(typeof(MainWindow), MainWindow.MouseDownEvent, new RoutedEventHandler(MainWindow_MouseDown), true);
            this.ddb1.DropDownOpened += ddb1_DropDownOpened;
            this.ddb1.DropDownClosed += ddb1_DropDownClosed;
        }

        void ddb1_DropDownOpened(object sender, RoutedEventArgs e)
        {
            this.openedDDB = (RadRibbonDropDownButton)sender;
        }

        void ddb1_DropDownClosed(object sender, RoutedEventArgs e)
        {
            this.openedDDB = null;
        }

        void MainWindow_MouseDown(object sender, RoutedEventArgs e)
        {
            if (this.openedDDB != null)
            {
                var dropDownButtonParent = Telerik.Windows.Controls.ParentOfTypeExtensions.ParentOfType<RadRibbonDropDownButton>((DependencyObject)e.OriginalSource);
                if (dropDownButtonParent != this.openedDDB)
                {
                    this.ddb1.IsOpen = false;
                }
            }
        }
    }
}
